Summary:	The passwd utility for setting/changing passwords using PAM
Name:		passwd
Version:	0.64.1
Release:	7mdk
License:	BSD
Group:		System/Base

Source0:	passwd-%{version}.tar.bz2
Patch0:		passwd-build-nonroot.patch.bz2

Buildroot:	%_tmppath/%name-%version-%release-root
Requires:	pam >= 0.59, pwdb >= 0.58
BuildRequires:	pam-devel, popt-devel, pwdb-devel

%description
The passwd package contains a system utility (passwd) which sets
and/or changes passwords, using PAM (Pluggable Authentication
Modules).

To use passwd, you should have PAM installed on your system.

%prep

%setup -q
%patch -p1

%build
%make

%install
install -d %buildroot/%_bindir
install -d %buildroot/%_mandir/man1

make install TOP_DIR=%buildroot MANDIR=%buildroot/%_mandir

install -D -m 644 passwd.pamd %buildroot/%_sysconfdir/pam.d/passwd

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/pam.d/passwd
%attr(4511,root,root) %_bindir/passwd
%_mandir/man1/passwd.1.bz2

%changelog
* Mon May 21 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.64.1-7mdk
- BuildRequires: pwdb-devel

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.1-6mdk
- BuildRequires: pam-devel
- Spec clean up

* Wed Nov 15 2000 Daouda Lo <daouda@mandrakesoft.com> 0.64.1-5mdk 
- make rpmlint happier.
- More macros

* Mon Sep 18 2000 Francis Galiegue <fg@mandrakesoft.com> 0.64.1-4mdk
- More macros
- Let spec helper do its job

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.64.1-3mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.64.1-2mdk
- BM
- let spechelper compress man-pages

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 0.64.1-1mdk
- Update to version 0.64.1, from RH 6.2

* Tue Jan 11 2000 Pixel <pixel@linux-mandrake.com>
- fix build as non-root

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.63.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Feb 03 1999 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 31 1997 Cristian Gafton <gafton@redhat.com>
- added passwd.1 man page (stolen from SimpleApps-0.56 and modified)
- fixed the Url

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Change to follow new version of PAM standard for pam_strerror().
- BuildRoot

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Apr 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fix patch so that we actually USE the more intelligent getlogin() again.

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- Don't default to migrating passwords to /etc/shadow

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>
- Also link against pwdb to use its more intelligent getlogin().

* Tue Apr 15 1997 Michael K. Johnson <johnsonm@redhat.com>
- Change passwords even if getlogin() can't find the login name.

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d

